## START: Set by rpmautospec
## (rpmautospec version 0.7.3)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# Tests need to run in an environment with Slurm
%bcond tests 0

Name:           python-snakemake-executor-plugin-slurm-jobstep
Version:        0.3.0
Release:        %autorelease
Summary:        A Snakemake executor plugin for running srun jobs inside of SLURM jobs

# SPDX
License:        MIT
URL:            https://github.com/snakemake/snakemake-executor-plugin-slurm-jobstep
# We use the GitHub archive instead of the PyPI sdist to get CHANGELOG.md and
# the tests.
Source:         %{url}/archive/v%{version}/snakemake-executor-plugin-slurm-jobstep-%{version}.tar.gz

BuildArch:      noarch

BuildRequires:  python3-devel
# See: [tool.poetry.dev-dependencies] in pyproject.toml
BuildRequires:  snakemake >= 8
%if %{with tests}
BuildRequires:  %{py3_dist pytest}
%endif

%global common_description %{expand:
A Snakemake executor plugin for running srun jobs inside of SLURM jobs (meant
for internal use by snakemake-executor-plugin-slurm).}

%description %{common_description}


%package -n python3-snakemake-executor-plugin-slurm-jobstep
Summary:        %{summary}

%description -n python3-snakemake-executor-plugin-slurm-jobstep %{common_description}


%prep
%autosetup -n snakemake-executor-plugin-slurm-jobstep-%{version}


%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files snakemake_executor_plugin_slurm_jobstep


%check
# Just in case the tests are not very thorough:
%pyproject_check_import

%if %{with tests}
%pytest -v tests/tests.py
%endif


%files -n python3-snakemake-executor-plugin-slurm-jobstep -f %{pyproject_files}
%license LICENSE
%doc CHANGELOG.md
%doc README.md


%changelog
## START: Generated by rpmautospec
* Sat Feb 15 2025 Packit <hello@packit.dev> - 0.3.0-1
- Update to 0.3.0 upstream release
- Resolves: rhbz#2345900

* Sat Jan 18 2025 Fedora Release Engineering <releng@fedoraproject.org> - 0.2.1-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_42_Mass_Rebuild

* Fri Jul 19 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.2.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Sun Jun 09 2024 Python Maint <python-maint@redhat.com> - 0.2.1-2
- Rebuilt for Python 3.13

* Fri Apr 12 2024 Packit <hello@packit.dev> - 0.2.1-1
- Update to 0.2.1 upstream release
- Resolves: rhbz#2274660

* Mon Mar 11 2024 Packit <hello@packit.dev> - 0.1.11-1
- [packit] 0.1.11 upstream release
- Resolves rhbz#2269082

* Wed Jan 24 2024 Benjamin A. Beasley <code@musicinmybrain.net> - 0.1.10-1
- Initial package (close RHBZ#2259293)
## END: Generated by rpmautospec
